Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]plasma-workspace-5.4.2 conflicts w/ Dolphin-15.08.2?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
kikko
Apprentice
Apprentice


Joined: 29 Apr 2014
Posts: 256
Location: Milan, IT

PostPosted: Fri Oct 23, 2015 9:08 pm    Post subject: [SOLVED]plasma-workspace-5.4.2 conflicts w/ Dolphin-15.08.2? Reply with quote

Hi everybody
I met this problem yesterday, during a world update
Code:
 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (kde-plasma/plasma-workspace-5.4.2:5/5::kde, installed) pulled in by
    >=kde-plasma/plasma-workspace-5.4.2:5 required by (kde-plasma/plasma-meta-5.4.2:5/5::kde, installed)
    >=kde-plasma/plasma-workspace-5.4.2:5[systemmonitor] required by (kde-plasma/kdeplasma-addons-5.4.2:5/5::kde, installed)
    >=kde-plasma/plasma-workspace-5.4.2:5 required by (kde-plasma/khotkeys-5.4.2:5/5::kde, installed)
    >=kde-plasma/plasma-workspace-5.4.2:5 required by (kde-plasma/plasma-desktop-5.4.2:5/5::kde, installed)
    >=kde-plasma/plasma-workspace-5.4.2:5 required by (kde-plasma/powerdevil-5.4.2:5/5::kde, installed)
    >=kde-plasma/plasma-workspace-5.4.2:5[systemmonitor] required by (kde-plasma/plasma-nm-5.4.2:5/5::kde, installed)

  (kde-apps/kio-extras-15.08.2:5/5::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-apps/kio-extras-15.08.2:5 required by (kde-apps/dolphin-15.08.2:5/5::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages

Initially I believed there was something missing on my side, so I've waited a day, re-synced Portage tree and got the same result :x
I've also tried to mask kio-extras-15.08.2, but no luck... The only way accepted by Portage is to mask both kio-extras and Dolphin 15.08.2 :?
How can be possible that Plasma and Dolphin "cannot be installed at the same time on the same system."?
Any suggestion|indication|thought|whatever-passes-through-your-mind is appreciated

Thank you in advance and regards
PS: I've pasted error and emerge --info here: https://bpaste.net/show/c5dd69d69608


Last edited by kikko on Fri Oct 23, 2015 10:07 pm; edited 1 time in total
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6824
Location: Austria

PostPosted: Fri Oct 23, 2015 9:19 pm    Post subject: Reply with quote

Code:
emerge -1 plasma-workspace

It's an error we hopefully have seen for the last time.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
kikko
Apprentice
Apprentice


Joined: 29 Apr 2014
Posts: 256
Location: Milan, IT

PostPosted: Fri Oct 23, 2015 10:06 pm    Post subject: Reply with quote

Thank you genstorm
didn't noticed plasma-workspace was in the main tree :oops:

Regards
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6824
Location: Austria

PostPosted: Fri Oct 23, 2015 10:30 pm    Post subject: Reply with quote

Not your fault, through an unfortunate interaction of a past block, a past pkgmove, and people installing plasma-workspace from overlay then updating kio-extras from tree, that happened.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum